import request from '@/utils/request'

// 查询每日生产指令列表
export function listInstruction(query) {
  return request({
    url: '/shiftmgr/instruction/list',
    method: 'get',
    params: query
  })
}

// 查询每日生产指令详细
export function getInstruction(id) {
  return request({
    url: '/shiftmgr/instruction/' + id,
    method: 'get'
  })
}

// 新增每日生产指令
export function addInstruction(data) {
  return request({
    url: '/shiftmgr/instruction',
    method: 'post',
    data: data
  })
}

// 修改每日生产指令
export function updateInstruction(data) {
  return request({
    url: '/shiftmgr/instruction',
    method: 'put',
    data: data
  })
}

// 删除每日生产指令
export function delInstruction(id) {
  return request({
    url: '/shiftmgr/instruction/' + id,
    method: 'delete'
  })
}

// 导出每日生产指令
export function exportInstruction(query) {
  return request({
    url: '/shiftmgr/instruction/export',
    method: 'get',
    params: query
  })
}